: Class Clause

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.JDBC
Class Clause

    java.lang.Object
      |
      +--com.mortbay.JDBC.Clause

Direct Known Subclasses:
  Select

public class Clause
extends java.lang.Object

A Where Clause for a select statement

#### Notes

clause = where | where BOOL clause | ( clause ); where = thing OP thing;

#### Usage

Version:
  1.0 Fri Nov 28 1997
Author:
  Jan Bartel (janb)
See Also:
  `Select`

Constructor Summary
`Clause()` Constructor.

Method Summary
`Clause` | `and()` Boolean and
`Clause` | `close()` Close brace
`Clause` | `open()` Open brace
`Clause` | `or()` Boolean or
`java.lang.String` | `toString()`
`Clause` | `where(java.lang.String operator, Table table, Column column, java.lang.Object value)` Deprecated. Use where(lhsTable,lhsColumn,operator,value);
`Clause` | `where(java.lang.String operator, Table lhsTable, Column lhsColumn, Table rhsTable, Column rhsColumn)` Deprecated. Use where(lhsTable,lhsColumn,operator,rhsTable,rhsColumn);
`Clause` | `where(Table table, Column column, java.lang.String operator, java.lang.Object value)` Add comparison to where clause
`Clause` | `where(Table lhsTable, Column lhsColumn, java.lang.String operator, Table rhsTable, Column rhsColumn)` Add comparison to where clause

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Clause

    public Clause()

  Constructor.

Method Detail

### open

    public Clause open()

  Open brace
  Returns:

### close

    public Clause close()

  Close brace
  Returns:

### and

    public Clause and()

  Boolean and
  Returns:

### or

    public Clause or()

  Boolean or
  Returns:

### where

    public Clause where(java.lang.String operator,
                        Table table,
                        Column column,
                        java.lang.Object value)

  Deprecated. Use where(lhsTable,lhsColumn,operator,value);

  Add comparison to where clause
  Parameters:
    `operator` -
    `table` -
    `column` -
    `value` -
  Returns:

### where

    public Clause where(Table table,
                        Column column,
                        java.lang.String operator,
                        java.lang.Object value)

  Add comparison to where clause
  Parameters:
    `operator` -
    `table` -
    `column` -
    `value` -
  Returns:

### where

    public Clause where(java.lang.String operator,
                        Table lhsTable,
                        Column lhsColumn,
                        Table rhsTable,
                        Column rhsColumn)

  Deprecated. Use where(lhsTable,lhsColumn,operator,rhsTable,rhsColumn);

  Add comparison to where clause
  Parameters:
    `operator` -
    `lhsTable` -
    `lhsColumn` -
    `rhsTable` -
    `rhsColumn` -
  Returns:

### where

    public Clause where(Table lhsTable,
                        Column lhsColumn,
                        java.lang.String operator,
                        Table rhsTable,
                        Column rhsColumn)

  Add comparison to where clause
  Parameters:
    `lhsTable` -
    `lhsColumn` -
    `operator` -
    `rhsTable` -
    `rhsColumn` -
  Returns:

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD